/*
 * @Author: Aimee~
 * @Date: 2023-05-11 12:02:45
 * @LastEditTime: 2023-06-27 13:10:40
 * @LastEditors: Aimee
 * @FilePath: /douhuo-agent/src/api/organization.js
 * @Description:
 */
import request from '@/utils/request'

const api = {
  list: '/institutions', // 机构列表
  init: '/institutions/init', // 筛选前置
  info: '/institutions/{item}/show', // 机构详情接口
  changeStatus: '/institutions/{item}/status', // 修改机构状态
  service: 'institutions/{item}/service', // 修改服务包信息
  remark: 'institutions/{item}/remark', // 修改机构备注信息
  canExport: 'institutions/can_export', // 机构是否能导出
  changeStatusTwo: 'institutions/{item}/status_two' // 更改机构状态2
}
// 机构列表
export function getList (parameter) {
  return request({
    url: api.list,
    method: 'get',
    params: parameter
  })
}
// 筛选前置
export function init () {
  return request({
    url: api.init
  })
}

// 获取机构详情接口
export function getOriganizationInfo (item) {
  return request({
    url: api.info.replace('{item}', item),
    method: 'get'
  })
}

// 修改结构状态
export function changeStatus (item, params) {
  return request({
    url: api.changeStatus.replace('{item}', item),
    method: 'post',
    params: params
  })
}
// 修改服务包信息
export function editServiceInfo (item, params) {
  return request({
    url: api.service.replace('{item}', item),
    method: 'post',
    params: params
  })
}

// 修改机构备注消息
export function remark (item, params) {
  return request({
    url: api.remark.replace('{item}', item),
    method: 'post',
    params: params
  })
}

// 机构列表是否能导出
export function canExport (userid) {
  return request({
    url: api.canExport,
    method: 'get',
    params: {
      user_id: userid
    }
  })
}

// 更改机构状态2
export function changeStatusTwo (item, params) {
  return request({
    url: api.changeStatusTwo.replace('{item}', item),
    method: 'post',
    params: params
  })
}
